1. Media Manager
  • Getting Started
    • Introduction
    • Quickstart
    • Authentication
    • Status codes
  • Webhook
    • Webhook Setup
    • Webhook Events and Schema
  • API Reference
    • Contact
      • Listing
      • Create
      • Filter By SocialPlatformId
      • Form Fields
      • Detail
      • Update
      • Delete
      • Fetch Contact Groups
      • Update tags
    • Tag
      • Listing
    • Channel
      • Listing
      • Create
    • Ticket
      • Listing
      • Create
      • Filter by Contact ID
      • Form Fields
      • Update
      • Update status
    • Category
      • Listing
    • CxLog
      • Listing
    • Message
      • Send message
      • Create comments
      • Get Comments
    • Media Manager
      • Get Folders
        GET
      • Get Folder By ID
        GET
      • Create Folder
        POST
      • Update Folder
        PATCH
      • Delete Folder
        DELETE
      • Get Files
        GET
      • Get File By ID
        GET
      • Create File
        POST
      • Update File
        PATCH
      • Delete File
        DELETE
    • Agent Activity
      • Get Agents Activities
    • Telephony
      • Get Telephony CDR
Blog
Github
  1. Media Manager

Get Folder By ID

GET
/api/v1/media-manager/folders/{folderId}
Get a single folder by ID.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Query Params

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://apigw.klinkcx.com/api/v1/media-manager/folders/019b666f-5b1e-738e-b88f-6e08c466a4f7' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "data": {
        "id": "019b6670-b4e9-71d5-ab51-b047253619b8",
        "name": "testing",
        "slug": "testing-4",
        "path": "testing-4",
        "sortOrder": 0,
        "parentId": null,
        "isPrivate": false,
        "createdAt": "2025-12-28T19:30:21.000000Z",
        "updatedAt": "2025-12-28T19:30:21.000000Z",
        "childrenCount": 0,
        "filesCount": 0
    }
}
Modified at 2026-02-20 11:54:57
Previous
Get Folders
Next
Create Folder
Built with